Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000495 [Piwigo] notification minor always 2006.07.30 20:53 2006.12.22 13:25
Reporter fred-paris View Status public  
Assigned To rub
Priority normal Resolution fixed Platform PC
Status closed   OS windows XP
Projection none   OS Version 5.1 SP2
ETA none Fixed in Version 1.6.2 Product Version 1.6.0
  Target Version Product Build
Summary 0000495: les guillements et cotes sont précédés de ce caractère : \
Description Voici un exemple que je me suis envoyé :
ceci est un \"test\", pour faire arrapitre cecei\'\"\'\"\'\"\'\"\'\"\'\'\"

Ceci est issu du texte complémentaire du mail.
Steps To Reproduce faire une notification via l'administration et insérer des guillements et ou cotes dans le texte complémentaire.
A réception devant chaque guillement et cote il y aura \.
Additional Information
Tags No tags attached.
browser Mozilla
Database engine and version 5.0.23-nightly-20060619 sur le serveur sql.free.fr
PHP version phpMyAdmin 2.6.3-pl1 (celui installé sur les serveur de Free)
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000471closedrvelices Apostrophe dans les tags 
related to 0000498closed new quote/slash functions must be used everywhere 

-  Notes
(0001337)
rub (developer)
2006.07.31 12:17

Pour corriger le problème, fichier admin/notification_by_mail.php.
à la ligne 482

Remplacer:
[code]
      $check_key_treated = do_action_send_mail_notification('send', $_POST['send_selection'], $_POST['send_customize_mail_content']);
[/code]
par
[code]
      $check_key_treated = do_action_send_mail_notification('send', $_POST['send_selection'], stripslashes($_POST['send_customize_mail_content']));
[/code]
(0001338)
nikrou (developer)
2006.07.31 13:49

J'ajouterais qu'il nettement préférable d'utiliser pwg_stripslashes() qui fait le même boulot que stripslashes() mais en se basant sur la valeur de get_magic_quotes_gpc().
Donc remplacer:
$check_key_treated = do_action_send_mail_notification('send', $_POST['send_selection'], $_POST['send_customize_mail_content']);
par
$check_key_treated = do_action_send_mail_notification('send', $_POST['send_selection'], pwg_stripslashes($_POST['send_customize_mail_content']));
(0001339)
rub (developer)
2006.07.31 14:12
edited on: 2006.07.31 14:13

en 1.6.2 et BSF?
Par contre, elle n'est pas encore utilisée cette fonction, elle a été simplement déclarée car tous les fonction stripslashes n'ont pas été remplacées par pwg_stripslashes?

(0001343)
rub (developer)
2006.08.01 00:25
edited on: 2006.08.01 00:31

Résolu avec [Subversion] r1520 et [Subversion] r1521

Je n'ai pas utilisé les pwg_stripslashes car lors de la mise à jour du paramètre "contenu" les \" et \' étaient encore présents.


- Issue History
Date Modified Username Field Change
2006.07.30 20:53 fred-paris New Issue
2006.07.30 20:53 fred-paris browser => Mozilla
2006.07.30 20:53 fred-paris MySQL version => 5.0.23-nightly-20060619 sur le serveur sql.free.fr
2006.07.30 20:53 fred-paris PHP version => phpMyAdmin 2.6.3-pl1 (celui installé sur les serveur de Free)
2006.07.30 20:53 fred-paris Web server => Apache 1.3.x
2006.07.30 23:22 rub Status new => assigned
2006.07.30 23:22 rub Assigned To => rub
2006.07.31 12:17 rub Note Added: 0001337
2006.07.31 13:49 nikrou Note Added: 0001338
2006.07.31 14:12 rub Note Added: 0001339
2006.07.31 14:12 rub Note Edited: 0001339
2006.07.31 14:13 rub Note Edited: 0001339
2006.07.31 14:15 rub Relationship added related to 0000471
2006.07.31 14:41 rub Relationship added related to 0000498
2006.08.01 00:25 rub Status assigned => resolved
2006.08.01 00:25 rub Fixed in Version => 1.6.2
2006.08.01 00:25 rub Resolution open => fixed
2006.08.01 00:25 rub Note Added: 0001343
2006.08.01 00:30 rub Status resolved => feedback
2006.08.01 00:30 rub Resolution fixed => reopened
2006.08.01 00:31 rub Note Edited: 0001343
2006.08.01 00:31 rub Status feedback => resolved
2006.08.01 00:31 rub Resolution reopened => fixed
2006.12.22 13:25 rub Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker